package com.tmax.openframe.file;

import org.mapstruct.*;
import org.mapstruct.factory.*;
import ch.obermuhlner.math.big.BigDecimalMath;
import com.tmax.openframe.variable.group.COBTEST2_RVL_REC;
import java.math.*;
import java.util.*;
import lombok.*;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
@Mapper()
public interface COBTEST2_COBTEST2_FD_RVL_F_DoToCOBTEST2_RVL_RECMapper {
    COBTEST2_COBTEST2_FD_RVL_F_DoToCOBTEST2_RVL_RECMapper INSTANCE = Mappers
            .getMapper(COBTEST2_COBTEST2_FD_RVL_F_DoToCOBTEST2_RVL_RECMapper.class);

    @Mapping(source = "RVL_KEY.RVL_CONT_NO", target = "RVL_CONT_NO")
    @Mapping(source = "RVL_KEY.RVL_IITEM", target = "RVL_IITEM")
    @Mapping(source = "RVL_KEY.RVL_IITEM_GB", target = "RVL_IITEM_GB")
    @Mapping(source = "RVL_LCYM", target = "RVL_LCYM")
    @Mapping(source = "RVL_LPMT", target = "RVL_LPMT")
    COBTEST2_RVL_REC toCOBTEST2_RVL_REC(COBTEST2_COBTEST2_FD_RVL_F_Do source);

    @Mapping(source = "RVL_CONT_NO", target = "RVL_KEY.RVL_CONT_NO")
    @Mapping(source = "RVL_IITEM", target = "RVL_KEY.RVL_IITEM")
    @Mapping(source = "RVL_IITEM_GB", target = "RVL_KEY.RVL_IITEM_GB")
    @Mapping(source = "RVL_LCYM", target = "RVL_LCYM")
    @Mapping(source = "RVL_LPMT", target = "RVL_LPMT")
    COBTEST2_COBTEST2_FD_RVL_F_Do toCOBTEST2_COBTEST2_FD_RVL_F_Do(
            COBTEST2_RVL_REC source);
}
